// swift-tools-version: 5.6

import PackageDescription

let package = Package(
    name: "Push-iOS",
    platforms: [
        .macOS(.v12),
        .iOS(.v15),
    ],
    products: [
        .library(
            name: "Push",
            targets: ["Push"]),
    ],
    dependencies: [
        .package(url: "https://christophhagen.de/git/ch/Push-API.git", from: "0.7.2"),
        .package(url: "https://github.com/kylebrowning/APNSwift.git", from: "4.0.0"),
        .package(url: "https://github.com/apple/swift-crypto.git", "1.0.0" ..< "3.0.0")
    ],
    targets: [
        .target(
            name: "Push",
            dependencies: [
                .product(name: "PushAPI", package: "Push-API"),
                .product(name: "Crypto", package: "swift-crypto")
            ]),
    ]
)
